
import { FaceContainer } from './FaceContainer.js'
import { BackgroundCircle } from './BackgroundCircle.js'
import { Eyes } from './Eyes.js'
import { Mouth } from './Mouth.js'
export const Face = ({
    width,
    height,
  	centerX,
  	centerY,
    radius,
    strokeWidth,
    eyeRadius,
    eyeOffsetX,
    eyeOffsetY,
    mouthRadius,
    mouthWidth
	}) => (
	<FaceContainer 
    width={width}
    height={height} 
    centerX={centerX}
    centerY={centerY}
     >
      <g transform = {`translate(${centerX},${centerY})`}>
  <BackgroundCircle 
    radius={centerY - strokeWidth / 2}  
    strokeWidth={strokeWidth}/>
    
  <Eyes eyeRadius={eyeRadius} 
    eyeOffsetX={eyeOffsetX} 
    eyeOffsetY={eyeOffsetY}/>
    
  <Mouth 
    mouthRadius={mouthRadius} 
    mouthWidth={mouthWidth}/>
        
    </g>
  
  </FaceContainer>
)